#include "indicadorbotons.h"
#include "ui_indicadorbotons.h"

IndicadorBotons::IndicadorBotons(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::IndicadorBotons)
{
    ui->setupUi(this);

    btIO0 = new IndicadorBoton;
    btIO0->vSetNomBoto("IO0");
    btI34 = new IndicadorBoton;
    btI34->vSetNomBoto("I34");
    btI35 = new IndicadorBoton;
    btI35->vSetNomBoto("I35");

    ui->vlEsq->addWidget(btIO0);
    ui->vlCentre->addWidget(btI34);
    ui->vlDreta->addWidget(btI35);

    connect(btIO0,SIGNAL(vSenyalPremut()),this,SLOT(vBtIO0_premut()));
    connect(btIO0,SIGNAL(vSenyalNoPremut()),this,SLOT(vBtIO0_noPremut()));
    connect(btI34,SIGNAL(vSenyalPremut()),this,SLOT(vBtI34_premut()));
    connect(btI34,SIGNAL(vSenyalNoPremut()),this,SLOT(vBtI34_noPremut()));
    connect(btI35,SIGNAL(vSenyalPremut()),this,SLOT(vBtI35_premut()));
    connect(btI35,SIGNAL(vSenyalNoPremut()),this,SLOT(vBtI35_noPremut()));
}

IndicadorBotons::~IndicadorBotons()
{
    delete ui;
}

void IndicadorBotons::vBtIO0_premut(){
    emit vSenyalPremut("btIO0");
}

void IndicadorBotons::vBtIO0_noPremut(){
    emit vSenyalNoPremut("btIO0");
}

void IndicadorBotons::vBtI34_premut(){
    emit vSenyalPremut("btI34");
}

void IndicadorBotons::vBtI34_noPremut(){
    emit vSenyalNoPremut("btI34");
}

void IndicadorBotons::vBtI35_premut(){
    emit vSenyalPremut("btI35");
}

void IndicadorBotons::vBtI35_noPremut(){
    emit vSenyalNoPremut("btI35");
}
